Description

I notice if | enter a title in the Report Designer and then hit Enter, | get debug messages on the console from ComponentLibraryTab
SearchButtonActionHandler actionPerformed -- it looks like a search with blank search term happens. When | go back to the
Workflow tab, my components pane hasn't changed at all, so this doesn't seem too bad...but definitely odd.

History

#1 - 06/07/2010 06:59 AM - debi staggs

This is no longer happening for me.

#2 - 06/07/2010 11:56 AM - Derik Barseghian

This still happens for me on trunk, on mac and windows. A way to replicate that shows in the gui:
Type sdf into the Search Components field, and don't hit enter.

Go to the Report Designer, type a title into the title area, and hit enter.

Go back to the Workflow Editor view to see the search results for sdf displayed.

#3 - 06/07/2010 12:23 PM - debi staggs

| have looked at this again, and following the steps you describe, | can see this in the GUI. However, | don't think it is really a problem in any way, just
a bit odd as you have said in your previous comment. But not enough to hold up the release or impair any functionality as far as | can tell. Can we
agree to postpone this or close this bug for now ?

#4 - 06/07/2010 12:29 PM - Derik Barseghian

No need to change anything on this bug IMO, it was filed with Importance 'minor' and targeted for 2.X.Y.

#5 - 06/07/2010 12:35 PM - ben leinfelder

This shouldn't be that hard to fix. It actually sounds like the search field is being greedy. Can the KeyEventListener that | imagine is added to the
search field only perform it's search if it has current focus

#6 - 02/01/2011 05:43 PM - Derik Barseghian

Retargeting, | want this fixed.

#7 - 02/02/2011 05:13 PM - Derik Barseghian

fixed at r26896. This took awhile to track down. Turns out the searchButton was the set defaultButton for the jRootPane, and that's why it was hearing
Enters from places we didn't expect. This is also why the search button always pulsed blue on the mac, hope no one was fond of that.

"Most look and feels render the default button differently, and may potentially provide bindings to access the default button."

| commented that out, and set the textfield's action to the searchAction.

#8 - 03/27/2013 02:27 PM - Redmine Admin
Original Bugzilla ID was 4544
